#ifndef __LOG____H__
#define __LOG____H__

#include <SDL.h>
#include <SDL_timer.h>

void log_start();
void log_destroy();

void log_write(char* string);
void log_write_with_timestamp(char* string);
void log_write_char(char ascii);

void log_write_string_int(char* string, int intValue1);
void log_write_string_double(char* string, double doubleValue1);
void log_write_string_string(char* string, char* string2);
void log_write_string_string_string(char* string, char* string2, char* string3);
void log_write_string_string_string_string(char* string, char* string2, char* string3, char* string4);

#endif  // !__LOG____H__
